/*****************************************************************************
                              AMD  LOGO
                             Mark Burger
                             IRTC topic:
                                SPEED
*****************************************************************************/
// Render with: +Q9 +FN  +AM2 +A0 +R9 -J

camera {
        location <-2,0,-15> look_at<-2,-7,0>
        aperture .6
        blur_samples 64
        focal_point <-2, 0, 0>         
}
plane { 
        y, -8.01
        texture {
                pigment { bozo color_map { 
                        [ 0.0 rgb<0,.5,0> ]
                        [ 0.5 rgb<0,.7, 0> ]
                        [ 1.0 rgb<0,.5,0> ]
                        }
                        scale .02 
                } 
                finish { roughness .2 ambient .5}
                normal { bumps .2 scale .125 }
        } 
        
}

light_source { 
        <5,8,-15> rgb<1,.8,0>
        area_light <3,0,0> <0,0,3> 15 15
}
light_source {
        <0,25,0> rgb<.6,.8,1>
        area_light <5,0,0> <0,0,5> 5 5
        looks_like {
                sphere {
                        <0,0,0>, 200 hollow
                        texture {
                                pigment { color <.6,.8,1> }
                                finish { ambient 1.2 } 
                        }                      
                }
        }
} 
fog {
        distance 50
        color <.6,.8,1>
}
#declare AMDLOGO = union {
        difference {
                box { <-2,-2,.25> <2,2,-.25> }
                union {
                        box { <-1,-1,1> <1,1,-1> rotate<0,0,45> translate<-2.375,1,0> }
                        box { <-1,-1,1> <1,1,-1> rotate<0,0,45> translate<1,-2.375,0> }
                        box { <-1,-1,1> <1,1,-1> } 
                }
                texture {
                        pigment { color rgb<0,.8,0> }
                }
                translate <5,0,0>                
        }                                 
        text {  ttf "ariblk.ttf" "AMD" .125 <0,0,0>
                translate<-2.2,-.375,0> scale <5,5,0>
                pigment { color rgb<0,0,0> }
        } 
}

object { AMDLOGO translate<0,-6.15,0> }

#declare pavement = texture {
        pigment { bozo scale .25 color_map { 
                        [0 rgb<1,1,1>*.45] [.5 rgb<1,1,1>*.5] [1 rgb<1,1,1>*.45 ]
                }
        }
        normal { bumps .4 scale .3 }
}


polygon {
        4, <-7,-8,-500> <5,-8,-500> <5,-8,1000> <-7,-8,1000>
        texture { pavement } 
}
#declare roadLine = polygon {
        4, <-2.1,-7.99,-500> <-1.9,-7.99,-500> <-1.9,-7.99,1000> <-2.1,-7.99,1000>
        pigment { color rgb<1,1,0> }
}

object { roadLine }
object { roadLine translate<.4,0,0> }